<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE packagegui SYSTEM "../schema/packages.dtd">
<?xml-stylesheet type="text/xsl" href="../xsl/package.xsl"?>
<packagegui>
	<name>univnautes_texts</name>
	<title>Services: Captive portal / Univnautes User Interface</title>
	<include_file>/usr/local/pkg/univnautes.inc</include_file>
        <configpath>['installedpackages']['univnautestexts']['config']</configpath>
        <aftersaveredirect>/pkg_edit.php?xml=univnautes_texts.xml</aftersaveredirect>
	<custom_php_resync_config_command>
                univnautes_texts_sync();
        </custom_php_resync_config_command>
        <tabs>
                <tab>
                        <text>Captive portal</text>
                        <url>services_captiveportal.php</url>
                </tab>
                <tab>
                        <text>Univnautes</text>
                        <url>/pkg_edit.php?xml=univnautes.xml</url>
                </tab>
                <tab>
                        <text>Univnautes UI</text>
                        <url>/pkg_edit.php?xml=univnautes_texts.xml</url>
                        <active/>
                </tab>
                <tab>
                        <text>File Manager</text>
                        <url>services_captiveportal_filemanager.php</url>
                </tab>
                <tab>
                        <text>Pass-through MAC</text>
                        <url>services_captiveportal_mac.php</url>
                </tab>
                <tab>
                        <text>Allowed IP</text>
                        <url>services_captiveportal_ip.php</url>
                </tab>
        </tabs>
	<fields>
		<field>
			<type>listtopic</type>
			<name>Texts (HTML)</name>
		</field>
		<field>
			<fielddescr>Header</fielddescr>
			<fieldname>header</fieldname>
			<encoding>base64</encoding>
			<description>(in HTML format)</description>
			<type>textarea</type>
			<rows>4</rows>
                        <cols>70</cols>
		</field>
		<field>
			<fielddescr>Footer</fielddescr>
			<fieldname>footer</fieldname>
			<encoding>base64</encoding>
			<description>(in HTML format)</description>
			<type>textarea</type>
			<rows>4</rows>
                        <cols>70</cols>
		</field>
		<field>
			<fielddescr>Disclaimer</fielddescr>
			<fieldname>disclaimer</fieldname>
			<encoding>base64</encoding>
			<description>(in HTML format)</description>
			<type>textarea</type>
			<rows>6</rows>
                        <cols>70</cols>
		</field>
		<field>
			<fielddescr>Local informations</fielddescr>
			<fieldname>univinfo</fieldname>
			<encoding>base64</encoding>
			<description>(in HTML format)</description>
			<type>textarea</type>
			<rows>6</rows>
                        <cols>70</cols>
		</field>
		<field>
			<type>listtopic</type>
			<name>Map configuration</name>
		</field>
		<field>
			<fielddescr>Geo locations URLs</fielddescr>
			<fieldname>geourls</fieldname>
			<encoding>base64</encoding>
			<description>List of URLs, one per line. If empty, use https://static.discojuice.org/feeds/renater and http://isos.univnautes.entrouvert.com/univnautes.geo</description>
			<type>textarea</type>
			<rows>4</rows>
                        <cols>70</cols>
		</field>
		<field>
			<fielddescr>Local geo locations</fielddescr>
			<fieldname>geolocal</fieldname>
			<encoding>base64</encoding>
			<description>Formatted like http://isos.univnautes.entrouvert.com/univnautes.geo</description>
			<type>textarea</type>
			<rows>4</rows>
                        <cols>70</cols>
		</field>
		<field>
			<fielddescr>Initial bounds</fielddescr>
			<fieldname>start_bounds</fieldname>
			<description>Format : [[left,top],[right,bottom]]. If empty, use [[41.1,-5.53],[51.5,9.91]]</description>
			<default_value></default_value>
			<type>input</type>
			<size>40</size>
		</field>
		<field>
			<type>listtopic</type>
			<name>Email form configuration (/mail)</name>
		</field>
		<field>
			<fielddescr>Possible subjects</fielddescr>
			<fieldname>email_subjects</fieldname>
			<encoding>base64</encoding>
			<description>List of possible emails subjects, one per line</description>
			<type>textarea</type>
			<rows>4</rows>
                        <cols>70</cols>
		</field>
		<field>
			<fielddescr>Recipient</fielddescr>
			<fieldname>email_rcpt</fieldname>
			<description>Recipient's email address (for example: 
			univnautes-support@your-domain.tld). If empty, the email form
			is disabled.</description>
			<default_value></default_value>
			<type>input</type>
			<size>40</size>
		</field>
		<field>
			<fielddescr>Host</fielddescr>
			<fieldname>email_host</fieldname>
			<description>The SMTP server use for sending email
			(for example: smtp.your-domain.tld). If empty, the email form
			is disabled.</description>
			<default_value></default_value>
			<type>input</type>
			<size>40</size>
		</field>
		<field>
			<fielddescr>Port</fielddescr>
			<fieldname>email_port</fieldname>
			<description>Port to use for the SMTP server (default: 587)</description>
			<default_value></default_value>
			<type>input</type>
			<size>5</size>
		</field>
		<field>
			<fielddescr>User</fielddescr>
			<fieldname>email_host_user</fieldname>
			<description>Username to use for the SMTP server. If empty, UnivNautes won't attempt authentication.</description>
			<default_value></default_value>
			<type>input</type>
			<size>40</size>
		</field>
		<field>
			<fielddescr>Password</fielddescr>
			<fieldname>email_host_password</fieldname>
			<description>Password associated to the username.</description>
			<default_value></default_value>
			<type>password</type>
			<size>20</size>
		</field>
                <field>
                        <fielddescr>Use TLS</fielddescr>
                        <fieldname>email_use_tls</fieldname>
                        <description>Whether to use a TLS (secure) connection when talking to the SMTP server.</description>
                        <type>checkbox</type>
                </field>
        </fields>
</packagegui>

